Dumps, import and restore
All operations require authentication.
List database dumpsProduction
Returns the IDs of the dumps of the database. To include dumps of deleted databases, list the dumps of the service.
Path parameters
Database name
Service name
Response
Example uses databaseName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ dump \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a database dumpProduction
Creates a dump of the database and returns a task to follow it. The download link is valid for 30 days and is sent by email only when requested.
Path parameters
Database name
Service name
Request body (required)
Whether to receive an email when the import is complete (default to false)
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses databaseName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ dump \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}
Get a database dumpProduction
Returns the creation date, automatic deletion date and download URL of the dump.
Path parameters
Database name
Id
Service name
Response
Creation date of the dump
Dump of this database name
Automatic deletion date of the dump
Dump id
Dump URL access
Example uses databaseName = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ dump/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "databaseName": "string", "deletionDate": "2024-01-01T12:00:00Z", "id": 0, "url": "string"}
Delete a database dumpProduction
Deletes the dump before its automatic deletion date.
Path parameters
Database name
Id
Service name
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses databaseName = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ dump/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}
Restore a dumpProduction
Restores the dump into the database it was taken from. By default, the database is flushed before the restore.
Path parameters
Database name
Id
Service name
Request body (required)
Whether to flush the database before restoring the dump (default to true)
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses databaseName = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ dump/ {id}/ restore \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}
Import a dumpProduction
Imports a dump file stored in /me/document into the database. The database is not flushed before the import unless requested.
Path parameters
Database name
Service name
Request body (required)
Documents ID of the dump from /me/documents
Whether to flush the database before importing the dump (default to false)
Whether to receive an email when the import is complete (default to false)
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses databaseName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ import \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}